This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169471 - Review Request: gtk-gnutella - GUI based Gnutella Client
Review Request: gtk-gnutella - GUI based Gnutella Client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://gtk-gnutella.sourceforge.net
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-28 13:04 EDT by Dmitry Butskoy
Modified: 2012-02-13 09:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2005-09-28 13:04:40 EDT
Spec Url: http://dmitry.butskoy.name/gtk-gnutella/gtk-gnutella.spec
SRPM Url: http://dmitry.butskoy.name/gtk-gnutella/gtk-gnutella-0.95.4-1.src.rpm

Description: 
Gtk-Gnutella is a GUI based Gnutella p2p servent. It's a fully featured
servent designed to share any type of file.  Gtk-gnutella implements
compressed gnutella net connections, ultrapeer and leaf nodes and uses
Passive/Active Remote Queueing (PARQ), and other modern gnutella network
features.
Comment 1 Aurelien Bompard 2005-10-02 17:45:12 EDT
Needs work:
* No downloadable source. Please give the full URL in the Source tag.
* rpmlint of gtk-gnutella: non-standard-executable-perm /usr/bin/gtk-gnutella 0555

P2P software is not included in ForbiddenItems (and is not illegal in itself
actually), but I'd like to get clearance from Legal (as asked in bug 169604)
Comment 2 Dmitry Butskoy 2005-10-03 07:49:11 EDT
I already asked about it a little, see
https://www.redhat.com/archives/fedora-extras-list/2005-September/msg01571.html
Comment 3 Dmitry Butskoy 2005-10-03 08:24:36 EDT
Source and exec-perms: done.
Comment 4 Aurelien Bompard 2005-10-03 10:08:55 EDT
I've had a look at the included URLs in gwcache.boot, and none contain obvious
illegal material.

Review for release 1:
* RPM name is OK
* Source gtk-gnutella-0.95.4.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of gtk-gnutella looks OK
* File list of gtk-gnutella looks OK
* Works fine.
APPROVED
Comment 5 Michael Schwendt 2005-10-03 11:57:15 EDT
How did you check GWebCache contents? I believe it is impossible to
ensure that they do not reference any servents with illegal content.
IMO, it would be better no just ship the software and not any
bootstrapping URLs.
Comment 6 Aurelien Bompard 2005-10-03 12:09:52 EDT
> How did you check GWebCache contents ?

I just opened the URLs in a browser and had a very quick look at them. But if
gtk-gnutella can work without the gwcache.boot file, it would be better to
remove it, I agree
Comment 7 Dmitry Butskoy 2005-10-03 12:38:59 EDT
/usr/share/gtk-gnutella/gwcache.boot actually points to some http urls. It does
not point directly to any servents with contents. These urls are not intended
for any content providing. I believe that Gnutella knows all the legal issues
and avoids them...

IMHO, some similar situation was "links to fedorafaq.org site", which I saw
recently somewhere in mailing lists. Fedora can points to "fedorafaq" site, just
saying nothing particularly about what the users can find there. (They can find
there links to soft with legal issues).

May be I should just check carefully all the gwcache.boot links (and do it on
each package update)? But, IMHO, upstream already should do it...

Anyway, without initial gwcache, the program appears to be much less usable.
Comment 8 Dmitry Butskoy 2005-10-04 06:48:20 EDT
I've checked out it once again, for me nothing illegal at the urls specified.

Yes, they indirectly specify some servents, but it is "dynamic" data (who is
currently run etc.), therefore we cannot check them in general. And I believe
the presumption of innocence operates in this context...


Aurelien, Michael,

some more doubts?
Comment 9 Dmitry Butskoy 2005-10-05 08:08:42 EDT
Aurelien,

I've already committed and built gtk-gnutella before you had reopened this
bugzilla ticket. Now it has appeared at the download site. Therefore I close
here again.

If any doubts will appear later, open a new bugzilla ticket for this package
usual way.
Comment 10 Dmitry Butskoy 2005-10-06 06:22:49 EDT
...and upstream's comment here:
http://sourceforge.net/mailarchive/forum.php?thread_id=8422691&forum_id=5942
Comment 11 Dmitry Butskoy 2012-02-13 07:05:16 EST
Package Change Request
======================
Package Name: gtk-gnutella
New Branches: el6
Owners: buc
Comment 12 Jon Ciesla 2012-02-13 09:48:29 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.